# Get Influencer Report

Every successful request costs 1 credit.

Endpoint: GET /instagram/profile/{userId}/report
Security: accessToken

## Security:

  - `accessToken` (unknown)
    http bearer token

## Path parameters:

  - `userId` (string, required)
    User's Instagram handle or user ID from Instagram

## Query parameters:

  - `calculationMethod` (string)
    If specified, this indicates the method used to compute average-based metrics, such as average number of likes, comments, shares, etc.

## Response 200 fields (application/json):

  - `error` (boolean)
    If there is an error
    Example: false

  - `profile` (object, required)

  - `profile.userId` (string, required)
    User Id
    Example: 173560420

  - `profile.profile` (object)
    Influencer Profile

  - `profile.profile.userId` (string)
    User id of the influencer
    Example: 173560420

  - `profile.profile.fullname` (string)
    Full name of Influencer
    Example: Instagram

  - `profile.profile.username` (string, required)
    Username of Influencer
    Example: instagram

  - `profile.profile.url` (string, required)
    Profile URL
    Example: https://www.instagram.com/instagram/

  - `profile.profile.picture` (string, required)
    Profile Picture
    Example: https://imgigp.modash.io/?https://scontent-arn2-1.cdninstagram.com/t51.2885-19/s320x320/22159423_1794482210565499_9190891265074397184_n.jpg

  - `profile.profile.followers` (number, required)
    Follower count
    Example: 313560626

  - `profile.profile.engagements` (number, required)
    Engagements
    Example: 857994

  - `profile.profile.engagementRate` (number, required)
    Engagement rate
    Example: 0.0027362938100525414

  - `profile.hashtags` (array, required)

  - `profile.hashtags.tag` (string, required)

  - `profile.hashtags.weight` (number, required)
    Example: 0.1

  - `profile.mentions` (array, required)

  - `profile.statsByContentType` (object)
    User stats separated by content type

  - `profile.statsByContentType.all` (object)
    All content type stats
    Example: {}

  - `profile.statsByContentType.all.engagements` (number)
    Example: 0

  - `profile.statsByContentType.all.engagementRate` (number)
    Example: 0

  - `profile.statsByContentType.all.avgLikes` (number)
    Example: 0

  - `profile.statsByContentType.all.avgComments` (number)
    Example: 0

  - `profile.statsByContentType.all.statHistory` (array)

  - `profile.statsByContentType.all.statHistory.month` (string)
    Example: 2025-01

  - `profile.statsByContentType.all.statHistory.avgLikes` (number)
    Example: 0

  - `profile.statsByContentType.all.statHistory.avgEngagements` (number)
    Example: 0

  - `profile.statsByContentType.all.statHistory.avgViews` (number)
    Example: 0

  - `profile.statsByContentType.all.statHistory.avgComments` (number)
    Example: 0

  - `profile.statsByContentType.all.statHistory.avgShares` (number)
    Example: 0

  - `profile.statsByContentType.all.statHistory.avgSaves` (number)
    Example: 0

  - `profile.statsByContentType.all.avgReelsPlays` (number)
    Example: 0

  - `profile.statsByContentType.all.avgShares` (number)
    Example: 0

  - `profile.statsByContentType.reels` (object)
    Reels stats
    Example: {}

  - `profile.audience` (object)
    Audience data

  - `profile.audience.notable` (number, required)
    Example: 0.07

  - `profile.audience.genders` (array, required)

  - `profile.audience.genders.code` (string, required)

  - `profile.audience.genders.weight` (number, required)
    Example: 0.07

  - `profile.audience.geoCountries` (array, required)

  - `profile.audience.geoCountries.name` (string, required)

  - `profile.audience.geoCountries.weight` (number, required)
    Example: 0.07

  - `profile.audience.geoCountries.code` (string, required)

  - `profile.audience.ages` (array, required)

  - `profile.audience.gendersPerAge` (array, required)

  - `profile.audience.gendersPerAge.code` (string, required)

  - `profile.audience.gendersPerAge.male` (number, required)
    Example: 0.07

  - `profile.audience.gendersPerAge.female` (number, required)
    Example: 0.07

  - `profile.audience.geoCities` (array, required)

  - `profile.audience.geoCities.name` (string, required)

  - `profile.audience.geoCities.weight` (number, required)
    Example: 0.07

  - `profile.audience.geoStates` (array, required)

  - `profile.audience.geoSubdivisions` (array, required)

  - `profile.audience.geoSubdivisions.name` (string, required)

  - `profile.audience.geoSubdivisions.code` (string, required)

  - `profile.audience.geoSubdivisions.items` (array, required)

  - `profile.audience.credibility` (number, required)
    Example: 0.75

  - `profile.audience.interests` (array, required)

  - `profile.audience.brandAffinity` (array, required)

  - `profile.audience.languages` (array, required)

  - `profile.audience.languages.code` (string, required)
    Example: it

  - `profile.audience.languages.name` (string, required)
    Example: Italian

  - `profile.audience.languages.weight` (number, required)
    Example: 0.1

  - `profile.audience.notableUsers` (array, required)

  - `profile.audience.notableUsers.userId` (string)
    User id of the influencer
    Example: 173560420

  - `profile.audience.notableUsers.fullname` (string)
    Full name of Influencer
    Example: Instagram

  - `profile.audience.notableUsers.username` (string, required)
    Username of Influencer
    Example: instagram

  - `profile.audience.notableUsers.url` (string, required)
    Profile URL
    Example: https://www.instagram.com/instagram/

  - `profile.audience.notableUsers.picture` (string, required)
    Profile Picture
    Example: https://imgigp.modash.io/?https://scontent-arn2-1.cdninstagram.com/t51.2885-19/s320x320/22159423_1794482210565499_9190891265074397184_n.jpg

  - `profile.audience.notableUsers.followers` (number, required)
    Follower count
    Example: 313560626

  - `profile.audience.notableUsers.engagements` (number, required)
    Engagements
    Example: 857994

  - `profile.audience.audienceLookalikes` (array, required)

  - `profile.audience.ethnicities` (array, required)

  - `profile.audience.ethnicities.code` (string, required)
    Enum: "white", "asian", "african_american", "hispanic"

  - `profile.audience.ethnicities.name` (string, required)
    Enum: "White / Caucasian", "Asian", "African American", "Hispanic"

  - `profile.audience.ethnicities.weight` (number, required)
    Example: 0.1

  - `profile.audience.audienceReachability` (array)
    Percentage of the audience based on the number of accounts they follow, categorized into specific ranges. For instance, percentage of followers following no more than 500 accounts, or following between 500 and 1000 accounts.
    Example: [{"code":"-500","weight":0.379536},{"code":"500-1000","weight":0.161691},{"code":"1000-1500","weight":0.097547},{"code":"1500-","weight":0.361225}]

  - `profile.audience.audienceReachability.code` (string, required)
    Range of the number of accounts followed
    Enum: "-500", "500-1000", "1000-1500", "1500-"

  - `profile.audience.audienceReachability.weight` (number, required)
    Percentage of the audience
    Example: 0.1

  - `profile.audience.audienceTypes` (array)
    Percentage of the audience based on the type of accounts they follow
    Example: [{"code":"mass_followers","weight":0.379536},{"code":"suspicious","weight":0.161691},{"code":"influencers","weight":0.097547},{"code":"real","weight":0.361225}]

  - `profile.audience.audienceTypes.code` (string, required)
    Type of the audience
    Enum: "mass_followers", "suspicious", "influencers", "real"

  - `profile.audience.audienceTypes.weight` (number, required)
    Percentage of the audience
    Example: 0.9

  - `profile.stats` (object)
    Influencer stats, likes and followers (deprecated in favor of statsByContentType)

  - `profile.stats.avgLikes` (object)
    Average Likes and historical comparison

  - `profile.stats.avgLikes.value` (number)
    Value
    Example: 859004

  - `profile.stats.avgLikes.compared` (number)
    Change in value compared to last month
    Example: 0.007144320631801482

  - `profile.stats.followers` (object)
    Followers and historical comparison

  - `profile.stats.avgShares` (object)
    Average Shares and historical comparison

  - `profile.stats.avgComments` (object)
    Average Comments and historical comparison

  - `profile.recentPosts` (array)
    Recent Posts
    Example: [{"id":"string","text":"string","url":"string","created":"string","type":"photo","likes":0,"comments":0,"mentions":["string"],"hashtags":["string"],"thumbnail":"string"}]

  - `profile.recentPosts.id` (string, required)

  - `profile.recentPosts.text` (string)

  - `profile.recentPosts.url` (string)

  - `profile.recentPosts.created` (string, required)

  - `profile.recentPosts.likes` (number)

  - `profile.recentPosts.comments` (number)

  - `profile.recentPosts.views` (number)

  - `profile.recentPosts.type` (string, required)

  - `profile.recentPosts.mentions` (array)

  - `profile.recentPosts.hashtags` (array)

  - `profile.recentPosts.video` (string)

  - `profile.recentPosts.image` (string)

  - `profile.recentPosts.thumbnail` (string, required)
    Thumbnail image of the post.
    Example: https://imgigp.modash.io/p2?TtpRtyEyBiyQVjkfk2Itihlk0ou2Ajzp0eYLOQ6XS67bFV4KXoGwisuqwhyhf95gnMD%2B9gheug32g3e9b38gPA%3D%3D

  - `profile.popularPosts` (array)
    Popular Posts

  - `profile.popularPosts.id` (string, required)

  - `profile.popularPosts.text` (string)

  - `profile.popularPosts.url` (string)

  - `profile.popularPosts.created` (string, required)

  - `profile.popularPosts.likes` (number)

  - `profile.popularPosts.comments` (number)

  - `profile.popularPosts.views` (number)

  - `profile.popularPosts.type` (string, required)

  - `profile.popularPosts.thumbnail` (string, required)

  - `profile.city` (string)
    Example: New york

  - `profile.state` (string)
    Example: California

  - `profile.subdivision` (string)
    Example: New York State

  - `profile.gender` (string)
    Enum: "MALE", "FEMALE"

  - `profile.language` (object)

  - `profile.language.code` (string, required)
    ISO 639 language code (2-letter ISO 639-1 where available, otherwise 3-letter ISO 639-2/639-3).
    Enum: "af", "als", "am", "an", "ar", "arz", "as", "ast", "av", "az", "azb", "ba", "bar", "bcl", "be", "bg", "bh", "bn", "bo", "bpy", "br", "bs", "bxr", "ca", "cbk", "ce", "ceb", "ckb", "co", "cs", "cv", "cy", "da", "de", "diq", "dsb", "dty", "dv", "dz", "el", "eml", "en", "eo", "es", "et", "eu", "fa", "fi", "fo", "fr", "frr", "fy", "ga", "gd", "gl", "gn", "gom", "gu", "gv", "he", "hi", "hif", "hr", "hsb", "ht", "hu", "hy", "ia", "id", "ie", "ilo", "io", "is", "it", "ja", "jbo", "jv", "ka", "kk", "km", "kn", "ko", "krc", "ku", "kv", "kw", "ky", "la", "lb", "lez", "li", "lmo", "lo", "lrc", "lt", "lv", "mai", "mg", "mhr", "min", "mk", "ml", "mn", "mr", "mrj", "ms", "mt", "mwl", "my", "myv", "mzn", "nah", "nap", "nb", "nds", "ne", "new", "nl", "nn", "no", "oc", "or", "os", "pa", "pam", "pfl", "pl", "pms", "pnb", "ps", "pt", "qu", "rm", "ro", "ru", "rue", "rw", "sa", "sah", "sc", "scn", "sco", "sd", "se", "sh", "si", "sk", "sl", "so", "sq", "sr", "su", "sv", "sw", "ta", "te", "tg", "th", "tk", "tl", "tr", "tt", "tyv", "ug", "uk", "ur", "uz", "vec", "vep", "vi", "vls", "vo", "wa", "war", "wuu", "xal", "xh", "xmf", "yi", "yo", "yue", "zh", "zu"

  - `profile.language.name` (string, required)
    Name of the language in English
    Example: English

  - `profile.contacts` (array)

  - `profile.contacts.type` (string, required)
    Enum: "bbm", "email", "facebook", "instagram", "itunes", "kakao", "kik", "lineid", "linktree", "phone", "pinterest", "sarahah", "sayat", "skype", "snapchat", "telegram", "threads", "tiktok", "tumblr", "twitchtv", "twitter", "viber", "vk", "wechat", "weibo", "whatsapp", "youtube"

  - `profile.contacts.value` (string, required)
    Example: influenceremail@example.com

  - `profile.country` (string)
    Example: US

  - `profile.ageGroup` (string)
    Enum: "13-17", "18-24", "25-34", "35-44", "45-64", "65-"

  - `profile.isPrivate` (boolean, required)
    Example: true

  - `profile.accountType` (string, required)
    Enum: "Regular", "Business", "Creator"

  - `profile.isVerified` (boolean, required)
    Example: true

  - `profile.postsCounts` (number, required)
    Example: 37

  - `profile.avgLikes` (number, required)
    Example: 18211

  - `profile.avgComments` (number, required)
    Example: 12321

  - `profile.bio` (string, required)
    Example: CEO of #RockTok

  - `profile.interests` (array, required)

  - `profile.interests.id` (number, required)
    Example: 1

  - `profile.interests.name` (string, required)

  - `profile.brandAffinity` (array, required)

  - `profile.brandAffinity.id` (number, required)
    Example: 1

  - `profile.brandAffinity.name` (string, required)

  - `profile.sponsoredPosts` (array, required)

  - `profile.sponsoredPosts.id` (string, required)

  - `profile.sponsoredPosts.text` (string)
    Caption. Absent for Instagram Stories.

  - `profile.sponsoredPosts.url` (string)
    Post URL. Absent for Instagram Stories.

  - `profile.sponsoredPosts.created` (string, required)

  - `profile.sponsoredPosts.likes` (number)

  - `profile.sponsoredPosts.comments` (number)

  - `profile.sponsoredPosts.views` (number)

  - `profile.sponsoredPosts.type` (string, required)

  - `profile.sponsoredPosts.mentions` (array)

  - `profile.sponsoredPosts.hashtags` (array)

  - `profile.sponsoredPosts.video` (string)

  - `profile.sponsoredPosts.image` (string)

  - `profile.sponsoredPosts.thumbnail` (string, required)
    Thumbnail image of the post.
    Example: https://imgigp.modash.io/p2?TtpRtyEyBiyQVjkfk2Itihlk0ou2Ajzp0eYLOQ6XS67bFV4KXoGwisuqwhyhf95gnMD%2B9gheug32g3e9b38gPA%3D%3D

  - `profile.sponsoredPosts.sponsors` (array)

  - `profile.sponsoredPosts.sponsors.domain` (string)

  - `profile.sponsoredPosts.sponsors.logo_url` (string)

  - `profile.sponsoredPosts.sponsors.name` (string)

  - `profile.sponsoredPosts.label` (string)
    Sponsorship category followed by the evidence. Possible categories: 			(1) Properly Disclosed Sponsorship - uses #ad, paid partnership flag, or explicitly indicates a partnership in text (e.g., "I teamed up with X to..."). 			(2) Likely Hidden Sponsorship - no clear disclosures, but other signals indicate a sponsorship (e.g., "Use [CODE] for X% off" or "thanks @brand"). 			(3) Unclear or Vague Sponsorship Hint - a mention/tag of a known sponsor, but without proper disclosures.
    Example: Properly Disclosed Sponsorship: is paid partnership flag

  - `profile.sponsoredPosts.collaboration_type` (string)
    Type of collaboration (if multiple types are relevant, we return the most relevant one)
    Enum: "Paid", "Gifted", "Ambassador", "Affiliate", "Unspecified"

  - `profile.sponsoredPosts.feed_type` (string)
    Instagram feed placement. Common values: `feed`, `reels`, `story_original`, `story_reshared`.
    Example: story_original

  - `profile.statHistory` (array, required)

  - `profile.statHistory.month` (string, required)
    Example: 2019-05

  - `profile.statHistory.followers` (number, required)
    Example: 1000

  - `profile.statHistory.following` (number, required)
    Example: 1000

  - `profile.statHistory.avgLikes` (number, required)
    Example: 1000

  - `profile.statHistory.avgViews` (number, required)
    Example: 1000

  - `profile.statHistory.avgComments` (number, required)
    Example: 1000

  - `profile.statHistory.avgShares` (number)
    Example: 1000

  - `profile.lookalikes` (array, required)

  - `profile.postsCount` (number, required)
    Example: 37

  - `profile.avgViews` (number, required)
    Example: 48

  - `profile.avgReelsPlays` (number, required)
    Example: 5727

  - `profile.audienceExtra` (object)

  - `profile.audienceExtra.followersRange` (object, required)
    All histograms shown here are based on influencers whose number of followers fall within the range specified in this field

  - `profile.audienceExtra.followersRange.leftNumber` (number)
    Example: 100000

  - `profile.audienceExtra.followersRange.rightNumber` (number)
    Example: 500000

  - `profile.audienceExtra.engagementRateDistribution` (array, required)
    Distribution of influencers by their followers' engagement rate. This histogram displays how influencers from the same follower group are distributed based on the engagement rate of their followers. Ranges are automatically chosen for a clearer view of the entire histogram

  - `profile.audienceExtra.engagementRateDistribution.min` (number)
    The lower bound of the range
    Example: 0.4546

  - `profile.audienceExtra.engagementRateDistribution.max` (number)
    The upper bound of the range
    Example: 0.6482

  - `profile.audienceExtra.engagementRateDistribution.total` (number, required)
    The total count of data points within this range
    Example: 5551

  - `profile.audienceExtra.engagementRateDistribution.median` (boolean)
    Indicates if this bin represents the median range of the data. Only one range has this value set to `true`
    Example: true

  - `profile.audienceExtra.credibilityDistribution` (array)
    Distribution of influencers by their followers' credibility. This histogram displays how influencers from the same follower group are distributed based on the credibility of their followers. Ranges are automatically chosen for a clearer view of the entire histogram

  - `profile.paidPostPerformance` (number)
    Example: 0.5

  - `profile.paidPostPerformanceViews` (number, required)
    Example: 37

  - `profile.sponsoredPostsMedianViews` (number, required)
    Example: 3127

  - `profile.sponsoredPostsMedianLikes` (number, required)
    Example: 3743

  - `profile.nonSponsoredPostsMedianViews` (number, required)
    Example: 267

  - `profile.nonSponsoredPostsMedianLikes` (number, required)
    Example: 367

## Response 503:

  - `503` (unknown)
    The audience for this account is not ready yet (code `retry_later`). Retry the same request in a few hours. You are not charged for this response.

## Response 503 fields (application/json):

  - `error` (boolean, required)
    If there is an error
    Example: true

  - `code` (string, required)
    Error code
    Example: retry_later

  - `message` (string, required)
    Error message
    Example: We don't have audience for this account but will have very soon. Try again in a couple of hours.

